Bug 121868 - Dual Opteron 248 w/ 8GB memory initrd decompression failure.
Dual Opteron 248 w/ 8GB memory initrd decompression failure.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-28 15:11 EDT by Bryan Stillwell
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-06 11:57:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of /proc/cpuinfo (522 bytes, text/plain)
2004-04-28 15:13 EDT, Bryan Stillwell
no flags Details
Output of /proc/meminfo with 8GB in machine (646 bytes, text/plain)
2004-04-28 15:15 EDT, Bryan Stillwell
no flags Details
Output of /proc/meminfo with 4GB in machine (646 bytes, text/plain)
2004-04-28 15:15 EDT, Bryan Stillwell
no flags Details
dmesg output with 8GB in machine (7.43 KB, text/plain)
2004-04-28 15:16 EDT, Bryan Stillwell
no flags Details
dmesg output with 4GB in machine (7.43 KB, text/plain)
2004-04-28 15:17 EDT, Bryan Stillwell
no flags Details
Output of uname -a (87 bytes, text/plain)
2004-04-28 15:17 EDT, Bryan Stillwell
no flags Details

  None (edit)
Description Bryan Stillwell 2004-04-28 15:11:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040413 Debian/1.6-5

Description of problem:
When attempting to install with Fedora Core 2 test3 on a Dual Opteron
248 w/ 8GB memory, I get random failures.  Reducing total memory to
4GB works consistantly, but isn't the desired solution.

Motherboard: Tyan K8W (S2885)
Processors: 2 x Opteron 248
Memory: 8 x 1GB
BIOS version: 1.02 (2-3-2004 - latest available)
SCSI card: Adaptec 29320

The most often boot error (~20% of the time) is:
...
RAMDISK: Compressed image found at block 0
crc error
VFS: Cannot open root device "<NULL>" or unknown-block(3,2)
Please append a correct "root=" boot option
Kernel panic: VFS: Unable to mount root fs on unknown-block(3,2)


However, sometimes the system will appear to boot fine with a single
warning that shows up:
...
RAMDISK: Compressed image found at block 0
VFS: Mounted root (ext2 filesystem).
...
VFS: Can't find ext2 filesystem on dev loop0
...


I've tested both groups of 4GB ram alone in the system without any
problems, but having the full 8GB gets the problem to show up most of
the time.  I also have a duplicate system that also experiences the
same exact problem.

I'm going to attach a few dmesg outputs, /proc/cpuinfo, and
/proc/meminfo files to this report.

Version-Release number of selected component (if applicable):
kernel-2.6.5-1.327-BOOT

How reproducible:
Always

Steps to Reproduce:
1.Try to boot Fedora Core 2 test3 on a dual-opteron 248 system with a
Tyan K8W (S2885) motherboard and 8GB of ram in 8 1GB sticks.

    

Actual Results:  Couldn't boot into the installer.

Expected Results:  Being able to boot the system and have it recognize
all 8GB ram without any problems.

Additional info:
Comment 1 Bryan Stillwell 2004-04-28 15:13:39 EDT
Created attachment 99745 [details]
Output of /proc/cpuinfo
Comment 2 Bryan Stillwell 2004-04-28 15:15:30 EDT
Created attachment 99746 [details]
Output of /proc/meminfo with 8GB in machine
Comment 3 Bryan Stillwell 2004-04-28 15:15:54 EDT
Created attachment 99747 [details]
Output of /proc/meminfo with 4GB in machine
Comment 4 Bryan Stillwell 2004-04-28 15:16:47 EDT
Created attachment 99748 [details]
dmesg output with 8GB in machine
Comment 5 Bryan Stillwell 2004-04-28 15:17:08 EDT
Created attachment 99749 [details]
dmesg output with 4GB in machine
Comment 6 Bryan Stillwell 2004-04-28 15:17:42 EDT
Created attachment 99750 [details]
Output of uname -a
Comment 7 Bryan Stillwell 2004-04-28 15:20:32 EDT
The frequency is more like 80%, not 20%.  It only boots successfully
20% of the time, and I while I doubt it would complete an install
during that 20%, I haven't tried yet.
Comment 8 Bryan Stillwell 2004-04-28 18:14:01 EDT
Just tested on a Riowork Arima HDAMA board with dual 246s and 8GB ram,
and everything worked smoothly.  However, I still have to get the Tyan
board working if I can.  But this shows that it's not related to the
SCSI card, and x86_64 fedora can handle 8GB ram.
Comment 9 Bryan Stillwell 2004-05-03 14:18:52 EDT
Adding "maxcpus=0" to the bootloader options allows me to boot the
machines consistantly w/ 8GB ram, but then only one cpu works...
Comment 10 Bryan Stillwell 2004-05-06 11:57:09 EDT
Bad memory on one machine and bad memory sockets on the other were
causing the problem.  memtest86 3.1a was very helpful in figuring this
out.  Although there is a problem with earlier 2.4 kernels (for
example, SuSE 9 needed you to get a new kernel before working with two
CPUs), the 2.6.5 kernel in core2test3 works fine.

Note You need to log in before you can comment on or make changes to this bug.